/** @typedef {import('./types').ObjectType} ObjectType */
/** @typedef {import('./types').ObjectID} ObjectID */
/** @typedef {import('./types').CRDTDoc} CRDTDoc */
/** @typedef {import('./types').ConnectDoc} ConnectDoc */
/** @typedef {import('./types').SyncProvider} SyncProvider */
/**
 * Connect function to the IndexedDB persistence provider.
 *
 * @param {ObjectID}   objectId   The object ID.
 * @param {ObjectType} objectType The object type.
 * @param {CRDTDoc}    doc        The CRDT document.
 *
 * @return {Promise<() => void>} Promise that resolves when the connection is established.
 */
export function connectIndexDb(objectId: ObjectID, objectType: ObjectType, doc: CRDTDoc): Promise<() => void>;
export type ObjectType = import("./types").ObjectType;
export type ObjectID = import("./types").ObjectID;
export type CRDTDoc = import("./types").CRDTDoc;
export type ConnectDoc = import("./types").ConnectDoc;
export type SyncProvider = import("./types").SyncProvider;
//# sourceMappingURL=connect-indexdb.d.ts.map