/** @typedef {import('./types').ObjectType} ObjectType */
/** @typedef {import('./types').ObjectID} ObjectID */
/** @typedef {import('./types').CRDTDoc} CRDTDoc */
/**
 * Function that creates a new WebRTC Connection.
 *
 * @param {Object}        config           The object ID.
 *
 * @param {Array<string>} config.signaling
 * @param {string}        config.password
 * @return {Function} Promise that resolves when the connection is established.
 */
export function createWebRTCConnection({ signaling, password }: {
    signaling: Array<string>;
    password: string;
}): Function;
export type ObjectType = import("./types").ObjectType;
export type ObjectID = import("./types").ObjectID;
export type CRDTDoc = import("./types").CRDTDoc;
//# sourceMappingURL=create-webrtc-connection.d.ts.map